Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.warehouse.RangeElementSelector

class `mvpa2.clfs.warehouse.``RangeElementSelector`(lower=None, upper=None, inclusive=False, mode='select', **kwargs)

  Select elements based on specified range of values

  Notes

  Available conditional attributes:

  - `ndiscarded+`: Store number of discarded elements.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `reset`() |

  Initialization `RangeElementSelector`

  Parameters:

  lower :

  > If not None – select elements which are above of specified value

  upper :

  > If not None – select elements which are lower of specified value

  inclusive :

  > Either to include end points

  mode :

  > overrides parent’s default to be ‘select’ since it is more native for RangeElementSelector XXX TODO – unify??

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  descr : str

  > Description of the instance

  `upper` could be lower than `lower` – then selection is done :

  on values <= lower or >=upper (ie tails). This would produce :

  the same result if called with flipped values for mode and :

  inclusive. :

  If no upper no lower is set, assuming upper,lower=0, thus :

  outputing non-0 elements :

  Methods

  `reset`() |

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »